import es
import playerlib
import psyco
import gamethread
import popuplib
import urllib
import os
import cfglib
psyco.full()
info = es.AddonInfo()
info.name = "Clan Tag"
info.version = "1.0"
info.author = "sonicsight"
info.url = "http://www.sonicsightz.com/"
info.basename = "clanTag"
info.description = "Reads in user from a MySql database and chacks if there allowed to were a clan tag."
steamList = []
config = cfglib.AddonCFG(es.getAddonPath("clanTag") + "/settings.cfg")
config.text("******************************")
config.text("  Premium Mod Settings")
config.text("******************************")
clanTag = config.cvar("clanTag","|CSS|", "This is the tage that the addon will look for.")
useWeb = config.cvar("useWeb",1, "Setting this to 1 will enable the addon to use the webfront to load the steam IDs. Setting it to 0 will make the addon load them from the local steam.txt file.")
webURL = config.cvar("webURL","http://www.yourdomainhere.com/css/steam.php", "This is the direct link to your steam.php file. If you specified 0 above please ignore this.")
startWith = config.cvar("startWith",0, "Setting this to 1 will enable the mod to only look at the begining of peoples names for the tag. Setting it to 0 will make the mod search the whole name. This could be usefull if your tag was like 'a.'")
config.write()
def load():
    config.execute()
    es.set("%s_version" % info.basename,info.version)
    es.makepublic("%s_version" % info.basename)
    es.msg("#multi","#green [%s]#default %s has loaded." % (info.basename,info.name))
    loadSteamList()
    checkPlayers()
def unload():
    es.msg("#multi","#green [%s]#default %s has unloaded." % (info.basename,info.name))
def round_start(ev):
    es.msg("#multi","#green [%s]#default %s is running. You will be kicked if your wearing the clan tag and not in the clan." % (info.basename,info.name))
def es_map_start(ev):
    loadSteamList()
    checkPlayers()
def player_changename(ev):
    checkPlayer(es.getuserid(ev['es_steamid']),ev['es_steamid'],ev['newname'])
def es_player_validated(ev):
    checkPlayer(es.getuserid(ev['networkid']),ev['networkid'],ev['name'])
def checkPlayers():
    uList = es.getUseridList()
    for uId in uList:
        sId = es.getplayersteamid(uId)
        nId = es.getplayername(uId)
        checkPlayer(uId,sId,nId)
def checkPlayer(uId,sId,nId):
    if startWith == 0:
        if str(clanTag).lower() in nId.lower():
            if not sId in steamList:
                es.msg("#multi","#green [%s]#default Player:#lightgreen %s#default has been kicked for joing with our clan tag" % (info.basename,nId))
                es.server.cmd("kickid %s Only %s members are alowed to wear the tag."%(uId,clanTag))
    else:
        if nId.lower().startswith(str(clanTag).lower()):
            if not sId in steamList:
                es.msg("#multi","#green [%s]#default Player:#lightgreen %s#default has been kicked for joing with our clan tag" % (info.basename,nId))
                es.server.cmd("kickid %s Only %s members are alowed to wear the tag."%(uId,clanTag))
def loadSteamList():
    while len(steamList) > 0:
        steamList.remove(steamList[0])
    if useWeb == 1:
        for line in urllib.urlopen(str(webURL)):
            steamList.append(line[:line.rfind("\n")])
    else:
        tempsteam = open(es.getAddonPath("clanTag") + '/steam.txt')
        for line in tempsteam:
            line = line.strip("\n")
            if line[0] != "/" and line[1] != "/":
                steamList.append(line)
        tempsteam.close
    es.msg("#multi","#green [%s]#default %s has finished loading in the clan members. Number of Clan Members: %s" % (info.basename,info.name,len(steamList)))